Name: perl-GTK
Version: 0.7009
Release: alt0.2

Summary: Perl module for the gtk+ library
Group: Development/GNOME and GTK+
License: GPL

Url: http://search.cpan.org/dist/Gtk-Perl/
Source: Gtk-Perl-%version.tar.bz2

Patch0: Gtk-Perl-add-ensure_focus.patch
Patch1: Gtk-Perl-0.7003-workaround-gdk_event_copy-withnowindow.patch
Patch2: Gtk-Perl-0.7005-add-XSetInputFocus.patch
Patch3: Gtk-Perl-0.7008-fix-gnome-config-gtkhtml.patch
Patch4: %name-0.7009-alt-mdk-fix-mozilla.patch
Patch5: %name-0.7009-alt-fix-gtkhtml.patch
Patch7: Gtk-Perl-0.7008-ORBit-cflags.patch
Patch8: Gtk-Perl-0.7008-fix-memory-leak-with-Gdk::Pixmap-created-from-a-Gdk::Pixbuf.patch

# Automatically added by buildreq on Tue Sep 09 2003
BuildRequires: ORBit-devel XFree86-devel esound-devel freetype2-devel gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libGConf-devel libaudiofile-devel libdb1-devel libexpat libgal-devel libglade-devel libgnomeprint-devel libgtkhtml20-devel libxml-devel oaf-devel perl-XML-Parser perl-XML-Writer perl-devel zlib-devel

%package LWP
Summary: Perl module for the LightWeighted Processes
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package GdkPixbuf
Summary: Perl module for the gtk+ GdkPixbuf library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package GdkImlib
Summary: Perl module for the gtk+ GdkImlib library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package GtkHTML
Summary: Perl module for the gtk+ GtkHTML library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%if 0
%package GtkXmHTML
Summary: Perl module for the gtk+ GtkXmHTML library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
%endif

%if 0
%package GLArea
Summary: Perl module for the gtk+ GLArea library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
%endif

%package Glade
Summary: Perl module for the gtk+ Glade library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%package Gnome
Summary: Perl module for the Gnome core libraries
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%if 0
%package GnomeApplet
Summary: Perl module for the Gnome panel applets
Group: Development/GNOME and GTK+
Requires: %name-Gnome = %version-%release
%endif

%if 0
%package GnomePrint
Summary: Perl module for the GnomePrint library
Group: Development/GNOME and GTK+
Requires: %name-Gnome = %version-%release
%endif

%if 0
%package MozEmbed
Summary: Perl module for the GTK+ MozEmbed library
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
%endif

%description
This module lets you use the gtk+ graphic library from perl.
It is very object-oriented and easy to use.

%description LWP
see perl-GTK

%description GdkImlib
see perl-GTK

%description GdkPixbuf
see perl-GTK

%description GtkHTML
see perl-GTK

%if 0
%description GtkXmHTML
see perl-GTK
%endif

%if 0
%description GLArea
see perl-GTK
%endif

%description Glade
see perl-GTK

%description Gnome
see perl-GTK

%if 0
%description GnomeApplet
see perl-GTK
%endif

%if 0
%description GnomePrint
see perl-GTK
%endif

%if 0
%description MozEmbed
see perl-GTK
%endif

%prep
%setup -q -n Gtk-Perl-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .moz
%patch5 -p1
%patch7 -p1 -b .orbit
%patch8 -p1

# Reduce some space-eaters
bzip2 -9f ChangeLog
bzip2 -9f Gtk/samples/{,old}test.pl
%__rm -f Gtk/samples/xpm/marble.xpm

# fix for new MakeMaker (ie new perl 5.8.0)
perl -pi -e '/CCCMD/ && s|/m;|/mg;|' */Makefile.PL

%build
%define dirs Gtk GdkImlib GdkPixbuf Glade Gnome GtkHTML

# avoid the use of the existing Gtk:: modules
export PERL5LIB=$PWD/Gtk/blib/arch

ARGS='--lazy-load --without-gnomeprint'
for d in %dirs; do
	cd $d
	%{perl_vendor_build $ARGS}
	cd ..
done

%install
for d in %dirs; do
	cd $d
	%perl_vendor_install
	cd ..
done

%files
%doc	ChangeLog.bz2 README NOTES VERSIONS
%doc	Gtk/samples
%dir	%perl_vendor_archlib/Gtk
%dir	%perl_vendor_archlib/Gtk/Gdk
	%perl_vendor_archlib/Gtk.pm
	%perl_vendor_archlib/Gtk/Atoms.pm
	%perl_vendor_archlib/Gtk/CListModel.pm
	%perl_vendor_archlib/Gtk/ColorSelectButton.pm
	%perl_vendor_archlib/Gtk/Gdk.pm
	%perl_vendor_archlib/Gtk/Install
	%perl_vendor_archlib/Gtk/Keysyms.pm
	%perl_vendor_archlib/Gtk/LogHandler.pm
	%perl_vendor_archlib/Gtk/Types.pm
	%perl_vendor_archlib/Gtk/TypesLazy.pm
	%perl_vendor_archlib/Gtk/io.pm
	%perl_vendor_archlib/Gtk/lazy.pm
	%perl_vendor_man3dir/Gtk.3pm*
	%perl_vendor_man3dir/Gtk::cookbook*
	%perl_vendor_man3dir/Gtk::objects*
	%perl_vendor_man3dir/Gtk::reference*
	%perl_vendor_man3dir/Gtk::CListModel*
%dir	%perl_vendor_autolib/Gtk
	%perl_vendor_autolib/Gtk/Gtk.so
	%perl_vendor_autolib/Gtk/autosplit.ix
%dir	%perl_vendor_autolib/Gtk/Gdk
	%perl_vendor_autolib/Gtk/Gdk/autosplit.ix

%files	LWP
	%perl_vendor_archlib/Gtk/LWP
	%perl_vendor_archlib/Gtk/LWP.pm

%files	GdkPixbuf
%doc	GdkPixbuf/samples
	%perl_vendor_autolib/Gtk/Gdk/*Pixbuf*
	%perl_vendor_archlib/Gtk/Gdk/*Pixbuf*
	%perl_vendor_man3dir/Gtk::Gdk::Pixbuf*

%files	GdkImlib
%doc	GdkImlib/samples
	%perl_vendor_autolib/Gtk/Gdk/*Imlib*
	%perl_vendor_archlib/Gtk/Gdk/*Imlib*
	%perl_vendor_man3dir/Gtk::Gdk::Imlib*

%files	GtkHTML
%doc	GtkHTML/samples
	%perl_vendor_autolib/Gtk/HTML*
	%perl_vendor_archlib/Gtk/HTML*
	%perl_vendor_man3dir/Gtk::HTML*

%if 0
%files	GtkXmHTML
%doc	GtkXmHTML/samples
	%perl_vendor_autolib/Gtk/XmHTML*
	%perl_vendor_archlib/Gtk/XmHTML*
%endif

%if 0
%files	GLArea
%doc	GtkGLArea/samples
	%perl_vendor_autolib/Gtk/*GLArea*
	%perl_vendor_archlib/Gtk/*GLArea*
%endif

%files	Glade
%doc	Glade/samples
	%perl_vendor_autolib/Gtk/*Glade*
	%perl_vendor_archlib/Gtk/*Glade*
	%perl_vendor_man3dir/Gtk::Glade*

%files Gnome
%doc	Gnome/samples
%dir	%perl_vendor_autolib/Gnome
%dir	%perl_vendor_archlib/Gnome
	%perl_vendor_autolib/Gnome/Gnome.so
	%perl_vendor_archlib/Gnome.pm
	%perl_vendor_archlib/Gnome/Install
	%perl_vendor_archlib/Gnome/Types*
	%perl_vendor_man3dir/Gnome.3pm*
	%perl_vendor_man3dir/Gnome::reference*

%if 0
%files	GnomeApplet
%doc	Applet/samples
	%perl_vendor_autolib/Gnome/Applet
	%perl_vendor_archlib/Gnome/Applet*
	%perl_vendor_man3dir/Gnome::Applet*
%endif

%if 0
%files	GnomePrint
%doc	GnomePrint/samples
	%perl_vendor_autolib/Gnome/Print
	%perl_vendor_archlib/Gnome/Print*
	%perl_vendor_man3dir/Gnome::Print*
%endif

%if 0
%files	MozEmbed
%doc	Mozilla/README
%doc	Mozilla/samples
	%perl_vendor_autolib/Gtk/*MozEmbed*
	%perl_vendor_archlib/Gtk/*MozEmbed*
%endif

%changelog
* Tue Sep 09 2003 Alexey Tourbin <at@altlinux.ru> 0.7009-alt0.2
- 0.7009; modules built: Gtk GdkImlib GdkPixbuf Glade Gnome GtkHTML

* Mon Sep 08 2003 Alexey Tourbin <at@altlinux.ru> 0.7009-alt0.1
- 0.7009; modules built: Gtk GdkImlib GdkPixbuf Glade Gnome

* Wed Sep 03 2003 AEN <aen@altlinux.ru> 0.7008-alt11
- rebuild w/o gnomeprint

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 0.7008-alt10
- new package: perl-GTK-LWP

* Thu Nov 14 2002 AEN <aen@altlinux.ru> 0.7008-alt9
- rebuilt with gtkhtml20 

* Tue Nov 12 2002 AEN <aen@altlinux.ru> 0.7008-alt8
- GLArea module disabled

* Fri Nov 01 2002 AEN <aen@altlinux.ru> 0.7008-alt7
- rebuilt with perl-5.8.0
- mozilla module disabled

* Tue Mar 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7008-alt6
- Fixed build subdirectories disarray
- Completed file list
- Added GtkXmHTML subpackage

* Thu Feb 28 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7008-alt5
- Fixed CFLAGS for GtkHTML (again)

* Mon Feb 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7008-alt4
- Added manpages, READMEs and samples
- Split GnomeApplet and GnomePrint subpackages off Gnome

* Mon Jan 21 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.7008-alt3
- Patched Applet/Makefile.PL for ORBit cflags
- Updated build requires

* Mon Jan 14 2002 AEN <aen@logic.ru> 0.7008-alt2
- rebuilt with gal-0.19

* Wed Nov 08 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.7008-alt1
- Build for Sisyphus

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-12mdk
- Recompiled against mozilla 0.9.5 and latest libgal/libgtkhtml
- Update patch 4 for mozilla 0.9.5

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-11mdk
- Recompiled against libgtkhtml16/libgal12

* Tue Sep 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.7008-10mdk
- Recomplied against mozilla-0.9.4

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-9mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-8mdk
- Recompiled against libgal11

* Tue Aug 21 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.7008-7mdk
- Don't build perl-GTK-MozEmbed on ia64

* Mon Aug 20 2001 Daouda LO <daouda@mandrakesoft.com> 0.7008-6mdk
- add gtk_html_set_default_content_type support to GtkHtml.xs

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-5mdk
- Patch5 : fix binding for latest gtkhtml
- Update patch4 to build with latest mozilla

* Fri Jul 20 2001 Pixel <pixel@mandrakesoft.com> 0.7008-4mdk
- use older gtkhtml so that it works
- add perl-GTK-MozEmbed

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-3mdk
- Recompiled against latest gal/gtkhtml

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7008-2mdk
- Really remove dependency against libgal6

* Sat Jun 30 2001 Pixel <pixel@mandrakesoft.com> 0.7008-1mdk
- new version

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7007-2mdk
- Recompiled against latest gtkhtml/gal

* Mon Jun  4 2001 Pixel <pixel@mandrakesoft.com> 0.7007-1mdk
- new version

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7006-2mdk
- Recompiled against latest gtkhtml

* Wed Mar 28 2001 Pixel <pixel@mandrakesoft.com> 0.7006-1mdk
- new version

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7005-3mdk
- Recompiled against latest gnomeprint

* Mon Mar  5 2001 Pixel <pixel@mandrakesoft.com> 0.7005-2mdk
- add XSetInputFocus (hack for drakxtools)

* Thu Feb 22 2001 Pixel <pixel@mandrakesoft.com> 0.7005-1mdk
- new version

* Mon Feb 19 2001 Pixel <pixel@mandrakesoft.com> 0.7004-9mdk
- really compile against latest gtkhtml

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7004-8mdk
- Recompiled against latest gtkhtml

* Mon Feb 12 2001 Pixel <pixel@mandrakesoft.com> 0.7004-7mdk
- added gtk_ctree_pre_recursive
- gtk_ctree_post_recursive now accepts CTreeNode_OrNULL instead CTreeNode

* Wed Jan 10 2001 Pixel <pixel@mandrakesoft.com> 0.7004-6mdk
- GtkTable-attach--add-functionality.patch.bz2

* Mon Jan  8 2001 Pixel <pixel@mandrakesoft.com> 0.7004-5mdk
- add GdkPixbuf

* Sun Dec  3 2000 Pixel <pixel@mandrakesoft.com> 0.7004-4mdk
- update the buildReq

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7004-3mdk
- rebuild with new perl

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 0.7004-2mdk
- add descriptions to make rpmlint happy

* Thu Oct 26 2000 Pixel <pixel@mandrakesoft.com> 0.7004-1mdk
- new version

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 0.7003-4mdk
- created patch to fix list access in GtkList.xs and GtkTree.xs.

* Thu Aug 24 2000 Pixel <pixel@mandrakesoft.com> 0.7003-3mdk
- workaround-gdk_event_copy-withnowindow

* Fri Aug 18 2000 Pixel <pixel@mandrakesoft.com> 0.7003-2mdk
- rebuild with clean_perl in spec-helper

* Thu Aug 17 2000 Pixel <pixel@mandrakesoft.com> 0.7003-1mdk
- new version
- replace XmHTML by GtkHTML (seems to work, at least it builds now ;)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7002-9mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Alexander Skwar <ASkwar@DigitalProjects.com>, Pixel <pixel@mandrakesoft.com> 0.7002-8mdk
- More macroziatification *g*
- Man pages are always to be globbed
- removed .packlist's
- added %clean section

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.7002-7mdk
- macroziation

* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 0.7002-6mdk
- add buildrequires xpm-devel

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 0.7002-5mdk
- fix groups

* Sun Apr  2 2000 Pixel <pixel@mandrakesoft.com> 0.7002-4mdk
- rebuild for new libgtkgl

* Thu Mar 30 2000 Pixel <pixel@mandrakesoft.com> 0.7002-3mdk
- changed 5.005 to 5.* to build with new perl

* Sun Mar 12 2000 Pixel <pixel@mandrakesoft.com> 0.7002-2mdk
- add ensure_focus

* Mon Feb 28 2000 Pixel <pixel@mandrakesoft.com> 0.7002-1mdk
- new version

* Wed Jan 26 2000 Pixel <pixel@mandrakesoft.com>
- major rework for 0.7000
- oups % {_arch}
- added test.pl in perl-GTK-gnome

* Tue Nov 23 1999 Pixel <pixel@linux-mandrake.com>
- replaced i386 by %_arch (for alpha)

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- strip .so (nice rpmlint :)

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Mon Oct 18 1999 Pixel <pixel@linux-mandrake.com>
- 0.6123

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- initialization of spec file.

# end of file
